.templates_sha: &templates_sha ffe4d1b10aab7534489f0c4bbc4c5899df17d3f2

variables:
  TEMPLATES_SHA: *templates_sha
  FDO_UPSTREAM_REPO: gfx-ci/tracie/traces-db


include:
  - project: 'freedesktop/ci-templates'
    ref: *templates_sha
    file: '/templates/alpine.yml'

stages:
  - container
  - test
  - deploy

.alpine-image:
  variables:
    FDO_DISTRIBUTION_TAG: '2022-11-15.0'

alpine-image:
  stage: container
  extends:
    - .fdo.container-build@alpine
    - .alpine-image
  variables:
    GIT_STRATEGY: none
    FDO_DISTRIBUTION_PACKAGES: 'git py3-pip'
    FDO_DISTRIBUTION_EXEC: 'pip3 install git+http://gitlab.freedesktop.org/freedesktop/ci-templates@$TEMPLATES_SHA'

check-file-uniqueness:
  stage: test
  extends:
    - .fdo.distribution-image@alpine
    - .alpine-image
  tags:
    - packet.net
  script:
    # The command below is needed to not hit a race that causes the tree to be randomly dirty, probably related to LFS caching
    - git reset --hard HEAD
    - .gitlab-ci/check-file-uniqueness.sh
  needs:
    - alpine-image

upload-to-storage:
  stage: deploy
  extends:
    - .fdo.distribution-image@alpine
    - .alpine-image
  tags:
    - packet.net
  variables:
    GIT_STRATEGY: shallow
  script: .gitlab-ci/upload-to-storage.sh
  needs:
    - check-file-uniqueness
